Bug 1884021 - Unable to sync large openshift docker repos
Summary: Unable to sync large openshift docker repos
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Pulp
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
high
unspecified vote
Target Milestone: 6.7.5
Assignee: satellite6-bugs
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-30 19:25 UTC by James Jeffers
Modified: 2020-10-26 19:03 UTC (History)
12 users (show)

Fixed In Version: python-nectar-1.6.2 pulp-docker-3.2.7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1822560
Environment:
Last Closed: 2020-10-26 19:03:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github pulp nectar pull 68 0 None closed Do not share requests session within multiple threads 2021-02-05 18:16:25 UTC
Pulp Redmine 6471 0 None None None 2020-09-30 19:25:56 UTC
Red Hat Product Errata RHBA-2020:4346 0 None None None 2020-10-26 19:03:24 UTC

Comment 3 Lai 2020-10-12 20:54:47 UTC
Steps to retest

1. Ensure that environment has enough disk space and create a product
2. Create 4 custom repos for for product from step 1: 
  a.openshift3/mysql-apb
  b.openshift3/mediawiki-apb
  c.openshift3/mariadb-apb
  d.openshift3/metrics-hawkular-metrics

3. Sync the repos

Expected result:
All repos should sync successfully

Actual:
All repos synced successfully.

Verified on 6.7.5_01

Nectar: python-nectar-1.6.2-1.el7sat.noarch

docker: pulp-docker-plugins-3.2.7-1.el7sat.noarch

Comment 8 errata-xmlrpc 2020-10-26 19:03:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Satellite 6.7.5 Async Bug Fix Update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4346


Note You need to log in before you can comment on or make changes to this bug.